> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# handle update



## OpenAPI

````yaml /openapi.json post /api/v1/destination/callback/slack
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/destination/callback/slack:
    post:
      tags:
        - Tenant Destination Route
      summary: handle update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SlackCallbackDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonObject'
      security:
        - SecurityScheme: []
components:
  schemas:
    SlackCallbackDto:
      required:
        - tenantId
        - code
      type: object
      properties:
        tenantId:
          format: int64
          description: The tenant ID
          type: integer
        code:
          description: Slack oauth code
          pattern: \S
          type: string
    JsonObject:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value: {}
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````